## org.apache.axis.ime.internal.util.handler
Class MessageExchangeHandler

    java.lang.Object
      |
      +--org.apache.axis.handlers.BasicHandler
            |
            +--org.apache.axis.ime.internal.util.handler.MessageExchangeHandler

All Implemented Interfaces:
  Handler, java.io.Serializable

public class MessageExchangeHandler
extends BasicHandler

This could probably be a bit more sophisticated, but it works for now

Author:
  James M Snell (jasnell@us.ibm.com)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` `log`

Fields inherited from class org.apache.axis.handlers.BasicHandler
`makeLockable, name, options`

Constructor Summary
`MessageExchangeHandler()`
`MessageExchangeHandler(MessageExchange exchange)`

Method Summary
`MessageExchange` `getMessageExchange()`
`void` `invoke(MessageContext msgContext)` Must implement this in subclasses.
`void` `setMessageExchange(MessageExchange exchange)`

Methods inherited from class org.apache.axis.handlers.BasicHandler
`canHandleBlock, cleanup, generateWSDL, getDeploymentData, getName, getOption, getOptions, getUnderstoodHeaders, init, initHashtable, onFault, setName, setOption, setOptionDefault, setOptions, setOptionsLockable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### MessageExchangeHandler

    public MessageExchangeHandler()

### MessageExchangeHandler

    public MessageExchangeHandler(MessageExchange exchange)

Method Detail

### invoke

    public void invoke(MessageContext msgContext)
                throws AxisFault

  Description copied from class: `BasicHandler`
  Must implement this in subclasses.

  Specified by:
    `invoke` in interface `Handler`
  Specified by:
    `invoke` in class `BasicHandler`
    `AxisFault`

### getMessageExchange

    public MessageExchange getMessageExchange()

### setMessageExchange

    public void setMessageExchange(MessageExchange exchange)

Copyright © 2003 Apache Web Services Project. All Rights Reserved.